#include <AFMotor.h>
#include <Servo.h>
#define SERVO1_PWM 10
Servo servo_1;

int angle = 0;

AF_DCMotor motor1(3); 
AF_DCMotor motor2(4); 

char command; 

void setup() 
{       
  Serial.begin(9600); 
  servo_1.attach(SERVO1_PWM); 
}

void loop(){
  if(Serial.available() > 0){ 
    command = Serial.read(); 
    Stop(); 
    switch(command){
    case 'F':  
      forward();
      break;
    case 'B':  
       back();
      break;
    case 'L':  
      left();
      break;
    case 'R':
      right();
      break;
    case 'G':
      Giroizq();
      break;
    case 'I':
      Giroder();
      break;
    case 'V':
      GiroStop();
      break;
    }
  } 
}

void forward()
{
  motor1.setSpeed(255); //Define maximum velocity
  motor1.run(FORWARD); //rotate the motor clockwise
  motor2.setSpeed(255); //Define maximum velocity
  motor2.run(FORWARD); //rotate the motor clockwise
}

void back()
{
  motor1.setSpeed(255); 
  motor1.run(BACKWARD); //rotate the motor counterclockwise
  motor2.setSpeed(255); 
  motor2.run(BACKWARD); //rotate the motor counterclockwise
}

void left()
{
  motor1.setSpeed(255); //Define maximum velocity
  motor1.run(FORWARD); //rotate the motor clockwise
  motor2.setSpeed(225);
  motor2.run(BACKWARD); //turn motor2 off
}

void right()
{
  motor1.setSpeed(225);
  motor1.run(BACKWARD); //turn motor1 off
  motor2.setSpeed(255); //Define maximum velocity
  motor2.run(FORWARD); //rotate the motor clockwise
}

void Stop()
{
  motor1.setSpeed(0);
  motor2.run(RELEASE); //turn motor1 off
  motor2.setSpeed(0);
  motor2.run(RELEASE); //turn motor2 off
}

void Giroizq()
{
 servo_1.write(angle);
 angle = angle + 1;
 delay(50);
}

void Giroder()
{
  servo_1.write(angle);
 angle = angle - 1;
 delay(50); 
}

void GiroStop()
{
  servo_1.write(angle);
}

